<template>
  <q-page>
    <div class="row flex justify-around">
      <div class="col-8">
        <div class="row q-ma-xs q-col-gutter-md" >
          <div class="col-4" v-for="(photographer, index) in photographers" :key="index">
            <card-profile :request="photographer" />
          </div>
        </div>
      </div>
        <div class="col-3 ">
          <div class="bord font-demi q-pa-md text-center q-ma-md text-uppercase text-body1 spacing" style="height: auto">Другие профили</div>
          <div @click="filtr" class="q-mt-lg bord font-demi q-pa-md text-center q-ma-md text-uppercase text-body1 spacing" style="height: auto">Фильтры</div>
          <div class="q-ma-md" v-if="filters">
            <div class="q-ma-md bord text-center q-py-sm font-medium text-uppercase text-body1 spacing" style="height: auto">Фотограф</div>
            <div class="q-ma-md bord text-center q-py-sm font-medium text-uppercase text-body1 spacing" style="height: auto">Санкт-Петербург</div>
            <div class="q-ma-md bord text-center q-py-sm font-medium text-uppercase text-body1 spacing" style="height: auto">Студийная съёмка</div>
          </div>
        </div>
    </div>
  </q-page>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
import CardProfile from '../components/CardProfile.vue'
export default {
  name: 'Profiles',
  components: {
    CardProfile
  },
  data () {
    return {
      photographers: [
        { first_name: 'Доля', last_name: 'Александра', status: 'фотограф', pic: '../statics/images/Rectangle 51.png' },
        { first_name: 'Дарина', last_name: 'Крикун', status: 'фотограф', pic: '../statics/images/Rectangle 48.png' },
        { first_name: 'Кирилл', last_name: 'Устинов', status: 'фотограф', pic: '../statics/images/Rectangle 49.png' },
        { first_name: 'Владимир', last_name: 'Синельщиков', status: 'фотограф', pic: '../statics/images/Rectangle 50.png' },
        { first_name: 'Лидия', last_name: 'Троева', status: 'фотограф', pic: '../statics/images/Rectangle 52.png' },
        { first_name: 'Захар', last_name: 'Гибадулин', status: 'фотограф', pic: '../statics/images/Rectangle 53.png' }
      ],
      filters: false
    }
  },
  computed: {
    ...mapGetters({
      profiles: 'auth/user/profiles'
    })
  },
  methods: {
    ...mapActions({
      getProfiles: 'auth/user/getUsers'
    }),
    filtr () {
      if (this.filters === false) {
        this.filters = true
      } else if (this.filters === true) {
        this.filters = false
      }
    }
  },
  mounted () {
    this.getProfiles()
  }
}
</script>
<style>
  .about {
    font-style: normal;
    font-weight: 800;
    font-size: 16px;
    text-align: right;
    letter-spacing: 0.2em;
    text-indent: 10px;
    text-transform: uppercase;
    color: #000000;
  }
  .description {
    background: #F9F9F9;
    height: 190px;
    font-weight: normal;
    font-size: 20px;
    line-height: 27px;
    text-align: center;
    letter-spacing: 0.2em;
    text-indent: 10px;
    text-transform: uppercase;
    color: #1f1f1f;
  }
  .bord {
    box-shadow: 0px 7px 15px rgba(0, 0, 0, 0.15);
  }
</style>
